# Train

Use the `teklia-dan train` command to train a new DAN model. It is able to train a DAN model at line or document-level and evaluate it.

To train DAN on your dataset:

1. Create a training JSON configuration file. Refer to the [dedicated section](parameters.md) for a description of parameters.
1. Run `teklia-dan train --config path/to/your/config.json`.
1. Look into evaluation results in the output folder indicated in your configuration:
    - `checkpoints` contains model weights for the last trained epoch and for the epoch giving the best valid CER.
    - `results` contains the tensorboard log file, the parameters file, and the evaluation results for the best epoch.

## Additional pages

- [Jean Zay tutorial](jeanzay.md)
- [Data augmentation](augmentation.md)
